## GocRectangle GocRectangle — Rectangle. |

## Properties

gdouble | height | Read / Write
gdouble | rotation | Read / Write
gdouble | rx | Read / Write
gdouble | ry | Read / Write
gint | type | Read / Write
gdouble | width | Read / Write
gdouble | x | Read / Write
gdouble | y | Read / Write

## Types and Values

| GocRectangle
typedef | GocRectangleClass

## Object Hierarchy

        GObject
        ╰── GocItem
            ╰── GocStyledItem
                ╰── GocRectangle

## Implemented Interfaces

GocRectangle implements GOStyledObject.

## Description

GocPolygon implements rectangle drawing in the canvas.

## Functions

## Types and Values

### GocRectangle

    typedef struct _GocRectangle GocRectangle;

### GocRectangleClass

    typedef GocStyledItemClass GocRectangleClass;

## Property Details

### The `“height”` property

      “height”                   gdouble

The rectangle height.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“rotation”` property

      “rotation”                 gdouble

The rotation around top left position.

Flags: Read / Write

Allowed values: [0,6.28319]

Default value: 0

### The `“rx”` property

      “rx”                       gdouble

The round rectangle rx.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“ry”` property

      “ry”                       gdouble

The round rectangle ry.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“type”` property

      “type”                     gint

The rectangle type: 0 for no rounded corner, 1 for rounded top left, 2 for top right, 4 for bottom right, 8 for bottom left, or any combination of these.

Flags: Read / Write

Allowed values: [0,15]

Default value: 0

### The `“width”` property

      “width”                    gdouble

The rectangle width.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“x”` property

      “x”                        gdouble

The rectangle left position (or right position in RTL mode).

Flags: Read / Write

Default value: 0

### The `“y”` property

      “y”                        gdouble

The rectangle top position.

Flags: Read / Write

Default value: 0